Summary: The VideoLAN client, also a very good standalone DVD player.
Name: videolan-client
Version: 0.3.1
Release: fr1
Epoch: 2
Group: Applications/Multimedia
License: GPL
URL: http://www.videolan.org/
Source0: http://www.videolan.org/pub/videolan/vlc/vlc-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
# You're on your own for binary deps, but to build, you need everything!
AutoReqProv: no
BuildRequires: qt-devel, gtk+-devel, gnome-core-devel, SDL-devel, XFree86-devel
BuildRequires: ncurses-devel, arts, lirc, libvorbis-devel, a52dec-devel
Obsoletes: vlc

%description
The vlc is part of the VideoLAN project, a full MPEG2 client/server
solution. The VideoLAN Client can also be used as a standalone program
to play MPEG2 streams from a hard disk or a DVD.

%prep
%setup -q -n vlc-%{version}

%build
%configure \
	--enable-dvd \
	--enable-vcd \
	--enable-a52 \
	--enable-vorbis \
	--enable-x11 \
	--enable-xvideo \
	--enable-sdl \
	--enable-fb \
	--enable-mga \
	--enable-dsp \
	--enable-esd \
	--enable-arts \
	--enable-gnome \
	--enable-gtk \
	--enable-qt \
	--enable-ncurses \
	--enable-lirc \
	--enable-release
make

%install
rm -rf %{buildroot}
%makeinstall
strip %{buildroot}%{_bindir}/vlc %{buildroot}%{_libdir}/videolan/vlc/*

mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/videolan.desktop << EOF
[Desktop Entry]
Name=VideoLAN
Comment=%{summary}
Icon=%{_datadir}/videolan/vlc.png
Exec=vlc
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ README TODO doc
%{_sysconfdir}/X11/applnk/Multimedia/videolan.desktop
%{_bindir}/*vlc
%{_libdir}/videolan
%{_datadir}/locale/*/LC_MESSAGES/vlc.mo
%{_datadir}/videolan

%changelog
* Fri Apr 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.1.

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.0.

* Sat Jan 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed the dependency on libdvdcss package, use the built in one instead,
  because 1.x.x is not as good as 0.0.3.ogle3.

* Tue Jan  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.92.
- Build fails with libdvdcss < 1.0.1.

* Tue Nov 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.91 and now requires libdvdcss 1.0.0.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split libdvdcss into a separate package since it's also needed by the
  xine menu plugin.

* Thu Oct 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.90.
- Removed ggi, svgalib and aalib since they aren't included in Red Hat 7.2.

* Mon Aug 27 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.83.

* Sat Aug 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.82.

* Mon Jul 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.2.81.
- Added all the new split libdvdcss.* files to the %%files section.

* Tue Jun  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to the latest release, 0.2.80.

* Wed May 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to today's CVS version, works great! :-)
- Fixed the desktop menu entry.

* Tue May 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup to make it look more like others do.
- Added the use of many macros.
- Disabled automatic requires and provides (the package always needed qt,
  gtk+, gnome etc. otherwise).
- Added a system desktop menu entry.

* Mon Apr 30 2001 Arnaud Gomes-do-Vale <arnaud@glou.org>
Added relocation support and compile fixes for Red Hat 7.x.

* Sat Apr 28 2001 Henri Fallon <henri@videolan.org>
New upstream release (0.2.73)

* Mon Apr 16 2001 Samuel Hocevar <sam@zoy.org>
New upstream release (0.2.72)

* Fri Apr 13 2001 Samuel Hocevar <sam@zoy.org>
New upstream release (0.2.71)

* Sun Apr 8 2001 Christophe Massiot <massiot@via.ecp.fr>
New upstream release (0.2.70)

* Fri Feb 16 2001 Samuel Hocevar <sam@via.ecp.fr>
New upstream release

* Tue Aug  8 2000 Samuel Hocevar <sam@via.ecp.fr>
Added framebuffer support

* Sun Jun 18 2000 Samuel Hocevar <sam@via.ecp.fr>
Took over the package

* Thu Jun 15 2000 Eric Doutreleau <Eric.Doutreleau@int-evry.fr>
Initial package
